import { REPORT_GROUP } from '../../../constant';
import { ReportConfigEntity } from '../../../entities/report-config.entity';
import IncomeReportPerItemMaster from '../../transaction-report/configs/income-per-item-master';

export default <ReportConfigEntity>{
  ...IncomeReportPerItemMaster,
  group_name: REPORT_GROUP.tenant_report,
  unique_name: `${REPORT_GROUP.tenant_report}__income_per_item_master`,
  label: 'Pendapatan',
  whereCondition(filterModel) {
    const queryFilter = [];
    const breakdown = filterModel.tr_item__breakdown_bundling;
    if (breakdown) {
      console.log({ breakdown });
      const value = breakdown.filter.map((item) => {
        return item === 'Yes' ? true : false;
      });

      queryFilter.push(`tr_item.breakdown_bundling in (${value.join()})`);
    }
    return queryFilter;
  },
};
